Bug 257126 - x11-wm/xfce4: Enabling vbox services on Virtualbox guest breaks xfce4 login
Summary: x11-wm/xfce4: Enabling vbox services on Virtualbox guest breaks xfce4 login
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-xfce (Nobody)
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2021-07-12 05:14 UTC by bugzeo
Modified: 2021-07-18 20:29 UTC (History)
4 users (show)

See Also:
koobs: maintainer-feedback? (xfce)
koobs: maintainer-feedback? (vbox)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bugzeo 2021-07-12 05:14:33 UTC
The bug is described here:
https://forums.freebsd.org/threads/xfce4-does-not-launch-on-freebsd-virtualbox-guest.81285/

Can't auto-start xfce4 from slim when vbox services are enabled.
Comment 1 Graham Perrin 2021-07-12 21:41:38 UTC
If this is a VirtualBox guest additions bug, there should be the prefix: 

emulators/virtualbox-ose-additions
Comment 2 Guido Falsi freebsd_committer 2021-07-13 07:11:34 UTC
I'm using xfce in virtualbox but I use lightdm as a display manager with no issues.

I understand my opinion on this is not popular, but slim is actually unmaintained software and AFAIK does not implement all the latest freedesktop standards. I have friends who have various issues when using slim also without adding virtualbox to the mix.

Could you try another display manager?

Also, which virtualbox graphics contorller are you using in the VM? The virtualbox UI suggest using VMSVGA, but when the guest has additions installed I get much better results with VBoxSVGA. Just ignore the UI warning.
Comment 3 bugzeo 2021-07-18 20:29:48 UTC
Had two issues with it: first, it autocompletes username with "User&", and I have to actively change to Other. With SLiM I already have the two fields in blank to enter and that's it. Also, on lightdm, the screen locked due to auto lock session enabled by default. When I entered again my username and password just didn't login, falls back to same login screen. With SLiM no issues.

So fixed.